%define upstream_name    Proc-Wait3
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for wait3 system call
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Proc/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
If any child processes have exited, this call will "reap" the zombies
similar to the perl "wait" function.

By default, it will return immediately and if there are no dead children,
everything will be undefined. If you pass in a true argument, it will block
until a child exits (or it gets a signal).

 $pid         PID of exiting child

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc META.yml Changes LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-3.mga3
+ Revision: 372155
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.40.0-2.mga3
+ Revision: 251086
- rebuild for perl 5.16
- imported package perl-Proc-Wait3

